Skip to content

微博 API - 用户粉丝 (V1)

prod-global
GET
/api/weibo/get-fans/v1

获取指定微博用户的粉丝列表,支持分页。 包含粉丝的用户ID、昵称、头像及认证状态。

典型应用场景:

  • 受众分析与人口统计研究
  • 监控粉丝增长与社区互动情况

请求参数

参数名位置类型必填说明
tokenquerystringAPI 访问令牌。
uidquerystring微博用户ID (UID)。
pagequeryinteger页码,从1开始。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/weibo/get-fans/v1?token=YOUR_API_KEY&uid=VALUE"
text
我想使用 Just One API 提供的“用户粉丝 (V1)”接口。
接口地址: https://api.justoneapi.com/api/weibo/get-fans/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/weibo-apis/user-fans-v1-zh.json

请求参数说明:
- token (query): API 访问令牌。 (必填)
- uid (query): 微博用户ID (UID)。 (必填)
- page (query): 页码,从1开始。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/weibo/get-fans/v1?token=YOUR_API_KEY&uid=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/weibo/get-fans/v1?token=YOUR_API_KEY&uid=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/weibo/get-fans/v1?token=YOUR_API_KEY&uid=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/weibo/get-fans/v1?token=YOUR_API_KEY&uid=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/weibo/get-fans/v1?token=YOUR_API_KEY&uid=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "users": [
      {
        "id": 8379504929,
        "idstr": "8379504929",
        "class": 1,
        "screen_name": "果酱_12",
        "name": "果酱_12",
        "province": "100",
        "city": "1000",
        "location": "其他",
        "description": "",
        "url": "",
        "profile_image_url": "https://tvax1.sinaimg.cn/default/images/default_avatar_male_50.gif?KID=imgbed,tva&Expires=1773075610...",
        "light_ring": false,
        "profile_url": "u/8379504929",
        "domain": "",
        "weihao": "",
        "gender": "m",
        "followers_count": 0,
        "followers_count_str": "0",
        "friends_count": 2,
        "pagefriends_count": 0,
        "statuses_count": 0,
        "video_status_count": 0,
        "video_play_count": 0,
        "super_topic_not_syn_count": 0,
        "favourites_count": 0,
        "created_at": "Sun Mar 08 21:31:27 +0800 2026",
        "following": false,
        "allow_all_act_msg": false,
        "geo_enabled": true,
        "verified": false,
        "verified_type": -1,
        "remark": "",
        "insecurity": {
          "sexual_content": false
        },
        "status_id": -1,
        "status_idstr": "-1",
        "ptype": 0,
        "allow_all_comment": true,
        "avatar_large": "https://tvax1.sinaimg.cn/default/images/default_avatar_male_180.gif?KID=imgbed,tva&Expires=177307561...",
        "avatar_hd": "https://tvax1.sinaimg.cn/default/images/default_avatar_male_180.gif?KID=imgbed,tva&Expires=177307561...",
        "verified_reason": "",
        "verified_trade": "",
        "verified_reason_url": "",
        "verified_source": "",
        "verified_source_url": "",
        "follow_me": false,
        "like": false,
        "like_me": false,
        "online_status": 0,
        "bi_followers_count": 0,
        "lang": "zh-cn",
        "star": 0,
        "mbtype": 0,
        "mbrank": 0,
        "svip": 0,
        "vvip": 0,
        "mb_expire_time": 0,
        "block_word": 0,
        "block_app": 0,
        "chaohua_ability": 0,
        "brand_ability": 0,
        "nft_ability": 0,
        "vplus_ability": 0,
        "wenda_ability": 0,
        "live_ability": 0,
        "gongyi_ability": 0,
        "paycolumn_ability": 0,
        "newbrand_ability": 0,
        "ecommerce_ability": 0,
        "hardfan_ability": 0,
        "wbcolumn_ability": 0,
        "interaction_user": 0,
        "audio_ability": 0,
        "place_ability": 0,
        "credit_score": 80,
        "user_ability": 0,
        "urank": 0,
        "story_read_state": -1,
        "vclub_member": 0,
        "is_teenager": 0,
        "is_guardian": 0,
        "is_teenager_list": 0,
        "pc_new": 0,
        "special_follow": false,
        "planet_video": 0,
        "video_mark": 0,
        "live_status": 0,
        "user_ability_extend": 0,
        "status_total_counter": {
          "total_cnt": 0,
          "repost_cnt": 0,
          "comment_cnt": 0,
          "like_cnt": 0,
          "comment_like_cnt": 0
        },
        "video_total_counter": {
          "play_cnt": -1
        },
        "brand_account": 0,
        "hongbaofei": 0,
        "green_mode": 0,
        "green_mode_source": 0,
        "delete_mode_time": 0,
        "urisk": 0,
        "unfollowing_recom_switch": 1,
        "block": 0,
        "block_me": 0,
        "avatar_type": 0,
        "is_big": 0,
        "auth_status": 1,
        "auth_realname": null,
        "auth_career": null,
        "auth_career_name": null,
        "show_auth": 0,
        "is_auth": 0,
        "is_punish": 0,
        "like_display": 0,
        "comment_display": 0,
        "fansIcon": {
          "fans_uid": 8379504929,
          "val": 0,
          "member_rank": 0,
          "svip": 0,
          "vvip": 0,
          "lighting": false,
          "icon_url": "",
          "uid": 8379504929,
          "name": ""
        }
      }
    ],
    "has_filtered_attentions": false,
    "next_cursor": 20,
    "previous_cursor": 0,
    "total_number": 4534662,
    "use_sink_stragety": false,
    "has_filtered_fans": false,
    "use_status_strategy": false,
    "show_related_topic": false,
    "display_total_number": 4534662,
    "display_total_number_str": "453.5万",
    "sort_type": 0,
    "type": 0,
    "show_unread": false,
    "fill_material": 0,
    "screenName": "王牌对王牌",
    "ok": 1
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。